package ai.java.back.service;

import com.fasterxml.jackson.core.JsonProcessingException;

import ai.java.back.model.ChatRequest;
import ai.java.back.model.ChatResponse;
import okhttp3.Request;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

import java.io.IOException;

public interface ChatService {

    Request buildOllamaRequest(ChatRequest requestDTO,boolean stream) throws JsonProcessingException;

    ChatResponse parseResponse(String responseBody,ChatRequest chatRequest) throws JsonProcessingException;

    ChatResponse completions(ChatRequest requestDTO) throws IOException;

    SseEmitter streamChat(ChatRequest requestDTO);

}
